# Class Cancellable

Allows cancellation of asynchronous operations.

#####
Index

### Constructors

constructor

### Properties

token

### Methods

cancel

##
Constructors

### constructor

- new Cancellable(): Cancellable

- #### Returns Cancellable

##
Properties

### token

token: CancelToken

A cancel token that is passed into cancellable operations. If cancel is called, the promise will be rejected with an instance of support/Cancellable!Cancellation.

##
Methods

### cancel

- cancel(reason?): void

- Signals cancellation to asynchronous operations that are associated with the cancel token.

  #### Parameters

  - `Optional` reason: unknown

    Extra data signifying the reason for cancellation. This will part of the the support/Cancellable!Cancellation that is propagated from the cancel token.

  #### Returns void